babel相关内容

反应份额.引发错误TypeError:超级表达式必须为null或函数,在require中尝试使用超级表达式时必须未定义

我是ReactJs的新手,正在尝试学习它.我安装了react-share软件包.由于我正在尝试编辑其他人的代码,因此我相信由于webpack而无法导入软件包.每次尝试导入软件包时,都会收到一条错误消息,提示导入应始终位于脚本的顶部.我尝试使用require并在控制台中收到此错误 TypeError: Super expression must either be null or a func ..
发布时间:2020-09-18 01:55:53 其他开发

Babel的TypeScript解析不一致

我通过选择babylon7-7.0.0-beta.12和babelv7-7.0.0-alpha.12在 ASTExplorer 中尝试了以下Angular组件代码(在TypeScript中)并解析,转换并产生确切的输出: import { Component, OnInit } from '@angular/core'; @Component({ selector: 'app-list ..
发布时间:2020-09-18 01:54:46 其他开发

节点中的Webpack命令导致未找到/config/webpack/development.js

我已经编写了webpack.config文件,但是当我从终端运行webpack时,我得到一条错误消息: 错误: Webpack配置 找不到/home/likono/learn/yak-yik/config/webpack/development.js, 请运行"bundle exec rails webpacker:install"以安装webpacker 使用默认配置或为您的自定义添加缺少 ..
发布时间:2020-09-18 01:54:43 其他开发

使用monorepo(Lerna + Yarn Workspaces)在共享代码上发生ReactJS linting(eslint)和transpiling(babel)错误

我正在使用纱线工作区,lerna和2个不同的项目来构建monorepo: ux-使用create-react-app 构建的React组件库 auth-一个React应用程序,它使用通过create-react-app构建的ux库,然后弹出(通过弹出操作来尝试解决当前的掉毛和转码错误). 我的monorepo设置是: project |-------- node_modul ..
发布时间:2020-09-18 01:54:40 其他开发

使用Express和Babel在React应用程序中配置Webpack

我正在使用React版本^ 15.6.1开发一个React应用程序,该版本使用Webpack,Express和Babel和Yarn作为包管理器. 我的应用程序运行良好,现在我准备将应用程序投入生产,并使用Webpack和CSS将js编译为bundle.js,并使用^ 4.15.3快速版本配置服务器以创建开发和生产版本./p> 到目前为止,我已经创建了一个如下所示的webpack.confi ..
发布时间:2020-09-18 01:54:36 其他开发

React Development和Build版本在IE 11和Edge中不起作用-Webpack/Babel

开发和构建版本在IE 11和Edge中不起作用.这是我的webpack配置和程序包json文件. 我已使用以下回购协议. https://github.com/kriasoft/react-starter-kit 我一直在尝试使用各种babel软件包和webpack配置来解决此问题. 箭头功能似乎无法正常工作. 这是错误. webpack.config.js / ..
发布时间:2020-09-18 01:54:26 其他开发

如何获取自定义React Babel编译指示以将字符串作为参数而不是函数传递

作为对的后续操作创建您自己的Babel处理器替代“反应" ,我收到此错误: react-dom.development.js:506警告:此浏览器无法识别该标签.如果要渲染React组件,请以大写字母开头. 在foo 未知 在酒吧 如果我将其设为大写字母,则出现此错误: 未捕获的ReferenceError:未定义Foo 我猜这是因为它像这样传递函数: Re ..
发布时间:2020-09-18 01:54:22 其他开发

在流星应用中更改导入文件后重新编译

我正在创建babel插件以根据文件存在的某些条件来管理导入路径.在初始构建中,一切正常,但是当我添加或删除会影响条件结果的文件时,编译器不会重新编译正在导入更改文件的文件,因此条件仍然可以解决,就好像存在引用文件一样,但是编译器无法找到它. 我认为这是由于缓存.那么我该如何管理/清除缓存?当然,我想保留尽可能多的缓存.因此,也许有办法以编程方式仅从缓存中删除受我的插件影响的文件吗? 插 ..
发布时间:2020-09-18 01:54:18 其他开发

Babel错误:插件/预设文件不允许导出对象,仅可导出功能

我正在尝试在博览会安装上运行故事书.所以到目前为止,我只在应用程序中看到了博览会和故事书. 我无法启动网络故事书. 我的package.json看起来像这样: "dependencies": { "expo": "^32.0.0", "react": "16.5.0", "react-native": "https://github.com/expo/react-na ..
发布时间:2020-09-18 01:54:16 其他开发

Babel 7是否禁用--isolatedModules Typescript标志?

如何在Babel 7中禁用--isolatedModules标志,它会导致一切崩溃.它崩溃于: “严格使用" 由CRA自己的依赖项(粉笔)使用的 const枚举也失败了,所以我不确定那里发生了什么 我的webpack配置,删除了导入以达到字数限制.我曾尝试在tsconfig中禁用它,但我认为babel忽略了它. 'use strict'; // Source maps are ..
发布时间:2020-09-18 01:54:13 其他开发

找不到输入模块:错误:无法解析"./src"

我正在按照有关设置webpack和babel的反应的教程进行操作,但是我遇到了错误. 我尝试重新安装所有模块,但没有成功.我还匹配了我的配置代码,仍然没有运气. ReactJs@1.0.0创建C:\ Users \ Gourav Thakur \ Desktop \ Me Creative \ github_codebase \ ReactJs webpack 参数数量不足或找不 ..
发布时间:2020-09-18 01:54:09 其他开发

Rails/NPM-babel-loader的模块构建失败[ERR_PACKAGE_PATH_NOT_EXPORTED]

我有一个Rails应用程序,并且最近进行了某种更改,使得rails server将启动,但是当我加载页面时,在浏览器控制台中出现了NPM相关的错误.我没有在此应用中设置NPM/VueJS,因此需要一些帮助使其在本地运行... Error: Module build failed (from ./node_modules/babel-loader/lib/index.js): Error [E ..
发布时间:2020-09-18 01:54:05 其他开发

通过onClick函数React传递ID

我在将ID传递到handleClick函数并将console.log'log到控制台中时遇到问题. 我尝试了一个简单的示例,该示例可以工作,但是我不明白为什么它在我的实现中不起作用. 这是工作示例的代码: var obiekt = [{"Zdjecie":"http://i.imgur.com/A83qNiV.jpg"},{"Zdjecie":"http://i.imgur.com/ ..
发布时间:2020-09-18 01:53:59 其他开发

React和Babel中的可选链算符

在我的项目中,我配置了babel: { "presets": ["react", "es2015","stage-1", "transform-optional-chaining"], "plugins": ["transform-runtime"] } 这是我在package.json中的devDependencies: "devDependencies": { ..
发布时间:2020-09-18 01:52:51 其他开发

无法通过Webpack和Babel公开组件库

我正在创建一个用于响应的小型组件库.可能需要某些内容,例如var Components = require('components').这将具有单独的组件,就像react-bootstrap一样.我正在尝试将webpack与babel一起使用,以将其编译为index.js文件.汇编进行得很顺利.我将此发布到本地npm注册表中,并将其安装在其他项目之一中.当我需要它时-require('compon ..
发布时间:2020-09-18 01:52:42 其他开发